package objects

import "git.tebibyte.media/tomo/tomo"
import "git.tebibyte.media/tomo/tomo/theme"

// Separator is a line for visually separating elements.
type Separator struct {
	tomo.Box
}

// NewSeparator creates a new separator line.
func NewSeparator () *Separator {
	this := &Separator {
		Box: tomo.NewBox(),
	}
	theme.Apply(this, theme.R("objects", "Separator", ""))
	return this
}

