package objects

import "git.tebibyte.media/tomo/tomo"
import "git.tebibyte.media/tomo/tomo/theme"

// Label is a simple text label.
type Label struct {
	tomo.TextBox
}

// NewLabel creates a new text label.
func NewLabel (text string) *Label {
	this := &Label { TextBox: tomo.NewTextBox() }
	theme.Apply(this, theme.R("objects", "Label", ""))
	this.SetText(text)
	return this
}

